Package org.apache.sling.distribution.journal.shared

## Class Delay

- java.lang.Object
- - org.apache.sling.distribution.journal.shared.Delay

    public final class Delay
    extends Object

### Constructor Summary

Constructors
`Delay()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `await​(long delayInMs)`
`static LongSupplier` `exponential​(long startDelay, long maxDelay)`
`void` `signal()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Delay

    public Delay()

### Method Detail

#### await

    public void await​(long delayInMs)

#### signal

    public void signal()

#### exponential

    public static LongSupplier exponential​(long startDelay,
                                           long maxDelay)